allow-lan: true
port: 7890
mode: rule
unified-delay: true
dns:
    enable: true
    prefer-h3: true
    enhanced-mode: fake-ip
    fake-ip-range: 172.29.0.1/16
    fake-ip-filter: 
      - '+.lan'
      - '+.in-addr.arpa'
      - +.msftncsi.com
      - +.msftconnecttest.com
    default-nameserver:
      - 1.1.1.1
      - 119.29.29.29
    nameserver-policy:
      "geosite:cn,private":
        - https://dns.alidns.com/dns-query
        - https://doh.pub/dns-query

      "rule-set:steamcn,games,dir":
        - https://dns.alidns.com/dns-query
        - https://doh.pub/dns-query

    nameserver:
      - https://1.1.1.1/dns-query
      - https://cloudflare-dns.com/dns-query
      - https://8.8.8.8/dns-query
      - https://dns.google/dns-query
      - https://dns.longans.de/dns-query
      - tls://1.0.0.1
      - one.one.one.one
      - dns.google

# 🇺🇸 🇭🇰
proxies:
  
a2d5f806-ab92-4122-b98b-718dfac02dd3

  - name: 🇺🇸 LS
    type: anytls
    server: zxycert.wampee.de
    port: 8443
    password: PXLSObnIC5
    client-fingerprint: chrome
    udp: true
    sni: zxycert.wampee.de
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    alpn:
      - h2
      - http/1.1
    skip-cert-verify: true


proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - 🇺🇸 LS


rule-providers:
    ai:
        behavior: classical
        interval: 86400
        path: ./ruleset/ai.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/ai.yaml
    dir:
        behavior: classical
        interval: 86400
        path: ./ruleset/dir.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/dir.yaml
        
    pro:
        behavior: classical
        interval: 86400
        path: ./ruleset/pro.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/refs/heads/main/pro.yaml

    games:
        behavior: classical
        interval: 86400
        path: ./ruleset/games.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/games.yaml
    google:
        behavior: domain
        interval: 86400
        path: ./ruleset/google.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    googleseries:
        behavior: classical
        interval: 86400
        path: ./ruleset/googleseries.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/googleseries
    microsoft:
        behavior: classical
        interval: 86400
        path: ./ruleset/microsoft.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    steamcn:
        behavior: classical
        interval: 86400
        path: ./ruleset/steamcn.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/SteamCN/SteamCN.yaml
    telegramcidr:
        behavior: ipcidr
        interval: 86400
        path: ./ruleset/telegramcidr.yaml
        type: http
        url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt"
    wifi-calling:
        behavior: classical
        interval: 86400
        path: ./ruleset/wifi-calling.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/wifi-calling.yaml
rules:
    - DOMAIN-SUFFIX,store.steampowered.com,PROXY
    - DOMAIN-SUFFIX,steamcommunity.com,PROXY
    - DOMAIN,clash.razord.top,DIRECT
    - DOMAIN,yacd.haishan.me,DIRECT
    - RULE-SET,wifi-calling,PROXY
    - RULE-SET,pro,PROXY
    - RULE-SET,googleseries,PROXY
    - RULE-SET,ai,PROXY
    - RULE-SET,steamcn,DIRECT
    - RULE-SET,games,DIRECT
    - RULE-SET,microsoft,PROXY
    - RULE-SET,telegramcidr,PROXY
    - RULE-SET,dir,DIRECT
    - RULE-SET,google,PROXY
    - GEOSITE,CN,DIRECT
    - GEOIP,CN,DIRECT
    - GEOIP,LAN,DIRECT
    - MATCH,PROXY
